mains={}
mains[1]="Descargar Contenido de PSP Explorer"
mains[2]="Descargar actualizaciones de PSP Explorer"
mains[3]="Descargar noticias del desarrollo de HBs"

function actualizar()
actual=1
paquetes=0
liberar(10)
if busca_wifi()==false then
	sistema("Actualizar",true)
end
version=tonumber(ini.read("config.ini","v",1))


while true do
controls.read()
imgwifi:blit(0,0)

if wlan.statustext()~="Conectado" then os.message("Te has desconectado") sistema(false,"Actualizar") end

if controls.press("up") then actual=actual-1 elseif controls.press("down") then actual=actual+1 end

if actual>3 then actual=1 elseif actual<1 then actual=3 end

for i=1,3 do
if actual==i then 
	screen.print(240,20+60*i,"> "..mains[i],0.9,blanco,verde,"center")
	--screen.print(240,40+60*i,mains[i+3],0.7,blanco,0,"center")
else 
	screen.print(240,20+60*i,mains[i],0.7,blanco,rojo,"center") end
end

if controls.press("cross") then
	if actual==1 then
		http.get("https://dl.dropbox.com/u/45550345/PSP/PSP%20Explorer/pack.lua","pack.lua")
		if files.exists("pack.lua") then
			dofile("pack.lua")
			if paquetes==0 then
				os.message("No hay ningun paquete de descarga")
			else
				respuesta=os.message("Existe 1 o varios paquetes, ¿deseas descargarlos?",1)
				if respuesta==1 then pack() end
			end
			files.remove("pack.lua")
		else
			os.message("Ha ocurrido un error al descargar.")
		end
	end
	if actual==2 then
		http.get("http://dl.dropbox.com/u/45550345/PSP%20Explorer/VERSION.INI","temporal")
		version_update=tonumber(ini.read("temporal","v",1))
		if version_update>version then 
			respuesta=os.message("Existe una versión mas reciente de PSP Explorer. ¿Deseas descargarla?",1)
			if respuesta==1 then
				if files.exists("instrucciones.lua") then files.remove("instrucciones.lua") end
				http.get("http://dl.dropbox.com/u/45550345/PSP%20Explorer/instrucciones.lua","instrucciones.lua")
				if files.exists("instrucciones.lua") then
					ini.write("config.ini","v",version_update)
					dofile("instrucciones.lua")
				else
					os.message("Ha ocurrido un error al descargar.")
				end
			end
		else
			os.message("Ésta versión es la última hasta el momento") 
		end
		files.remove("temporal")
	end
	if actual==3 then
		if files.exists("news/new.txt") then files.remove("news/new.txt") end
		http.get("http://dl.dropbox.com/u/45550345/PSP%20Explorer/news.txt","new.txt")
		if files.exists("news/new.txt") then
			archivo=io.open("new.txt")
			local txt=archivo:read("*a")
			archivo:close()
			os.message(txt)
		else
			os.message("Ha ocurrido un error al descargar.")
		end
	end
end

if controls.start() then sistema(false,"Actualizar") end

screen.flip()
end
end
